@import "tailwindcss";
@import "tw-animate-css";
@import "./hack.scss"; 


@custom-variant dark (&:is(.dark *));

@theme inline {
  --radius-sm: calc(var(--radius) - 4px);
  --radius-md: calc(var(--radius) - 2px);
  --radius-lg: var(--radius);
  --radius-xl: calc(var(--radius) + 4px);
  --color-background: var(--background);
  --color-foreground: var(--foreground);
  --color-card: var(--card);
  --color-card-foreground: var(--card-foreground);
  --color-popover: var(--popover);
  --color-popover-foreground: var(--popover-foreground);
  --color-primary: var(--primary);
  --color-primary-foreground: var(--primary-foreground);
  --color-secondary: var(--secondary);
  --color-secondary-foreground: var(--secondary-foreground);
  --color-muted: var(--muted);
  --color-muted-foreground: var(--muted-foreground);
  --color-accent: var(--accent);
  --color-accent-foreground: var(--accent-foreground);
  --color-destructive: var(--destructive);
  --color-border: var(--border);
  --color-input: var(--input);
  --color-ring: var(--ring);
  --color-chart-1: var(--chart-1);
  --color-chart-2: var(--chart-2);
  --color-chart-3: var(--chart-3);
  --color-chart-4: var(--chart-4);
  --color-chart-5: var(--chart-5);
  --color-sidebar: var(--sidebar);
  --color-sidebar-foreground: var(--sidebar-foreground);
  --color-sidebar-primary: var(--sidebar-primary);
  --color-sidebar-primary-foreground: var(--sidebar-primary-foreground);
  --color-sidebar-accent: var(--sidebar-accent);
  --color-sidebar-accent-foreground: var(--sidebar-accent-foreground);
  --color-sidebar-border: var(--sidebar-border);
  --color-sidebar-ring: var(--sidebar-ring);
}

:root {
  --background: #FCFCFC;
  --foreground: #1A1D1F;
  --card: #FFFFFF;
  --card-foreground: #1A1D1F;
  --popover: #FFFFFF;
  --popover-foreground: #1A1D1F;
  --primary: #2A85FF;
  --primary-foreground: #FFFFFF;
  --secondary: #F4F4F4;
  --secondary-foreground: #1A1D1F;
  --muted: #F4F4F4;
  --muted-foreground: #6F767E;
  --accent: #F4F4F4;
  --accent-foreground: #1A1D1F;
  --destructive: #FF6A55;
  --border: #EFEFEF;
  --input: #EFEFEF;
  --ring: #9A9FA5;
  --chart-1: #2A85FF;
  --chart-2: #83BF6E;
  --chart-3: #8E59FF;
  --chart-4: #FFC554;
  --chart-5: #FF6A55;
  --sidebar: #FCFCFC;
  --sidebar-foreground: #1A1D1F;
  --sidebar-primary: #2A85FF;
  --sidebar-primary-foreground: #FFFFFF;
  --sidebar-accent: #F4F4F4;
  --sidebar-accent-foreground: #1A1D1F;
  --sidebar-border: #EFEFEF;
  --sidebar-ring: #9A9FA5;
}

.dark {
  --background: #1A1D1F;
  --foreground: #FCFCFC;
  --card: #272B30;
  --card-foreground: #FCFCFC;
  --popover: #272B30;
  --popover-foreground: #FCFCFC;
  --primary: #2A85FF;
  --primary-foreground: #FFFFFF;
  --secondary: #33383F;
  --secondary-foreground: #FCFCFC;
  --muted: #33383F;
  --muted-foreground: #9A9FA5;
  --accent: #33383F;
  --accent-foreground: #FCFCFC;
  --destructive: #FF6A55;
  --border: rgba(255, 255, 255, 0.1);
  --input: rgba(255, 255, 255, 0.15);
  --ring: #6F767E;
  --chart-1: #8E59FF;
  --chart-2: #B1E5FC;
  --chart-3: #FFD88D;
  --chart-4: #CABDFF;
  --chart-5: #FFBC99;
  --sidebar: #272B30;
  --sidebar-foreground: #FCFCFC;
  --sidebar-primary: #8E59FF;
  --sidebar-primary-foreground: #FCFCFC;
  --sidebar-accent: #33383F;
  --sidebar-accent-foreground: #FCFCFC;
  --sidebar-border: rgba(255, 255, 255, 0.1);
  --sidebar-ring: #6F767E;
}

@layer base {
  * {
    @apply border-border outline-ring/50;
  }
  body {
    @apply bg-background text-foreground;
  }
}


